From 9d2378a8e07218a3d36f075c25ea0609aa9476ca Mon Sep 17 00:00:00 2001
From: Wolfgang Müller
Date: Mon, 9 Oct 2023 10:58:07 +0200
Subject: app-office/fava: add 1.26.1, drop 1.26

---
 app-office/fava/Manifest           |  4 ++--
 app-office/fava/fava-1.26.1.ebuild | 44 ++++++++++++++++++++++++++++++++++++++
 app-office/fava/fava-1.26.ebuild   | 44 --------------------------------------
 3 files changed, 46 insertions(+), 46 deletions(-)
 create mode 100644 app-office/fava/fava-1.26.1.ebuild
 delete mode 100644 app-office/fava/fava-1.26.ebuild

diff --git a/app-office/fava/Manifest b/app-office/fava/Manifest
index 5f15bb0..2713051 100644
--- a/app-office/fava/Manifest
+++ b/app-office/fava/Manifest
@@ -1,3 +1,3 @@
-DIST fava-1.26.tar.gz 2245751 BLAKE2B e98eadd0ef6065e4039aae82bc8dde870c557387a50b997caa712ef71a9c30ff89048bb07fba68daae36858af75d9a3d3ef2ab63891347b6e2385d7d951c1a75 SHA512 9c04cb588023b75a4d9173bac3c2f65e1ea5184d2224cf81fded877db0b9996a0a2cea86453a579a80431c364498c7d131355f70d1a914db2765da8ee04d9eaf
-EBUILD fava-1.26.ebuild 1336 BLAKE2B 09e4bc60056b7062adfa98d50e2db1202d0e5db98e624629f1b5946eb73bde34527cf02424aaf973a3a3765cd2dfb97bcfb578e80a03505cb4edf1cb63018f22 SHA512 9968f1c9934514e7485b5ee3255b2e382e2ce387f1f5ad47e45fd254fa0f5f0a52a06ed832d05d2f1df86969325b840304ac6f53e61e7d9b27d13113d09e9908
+DIST fava-1.26.1.tar.gz 2247469 BLAKE2B bd839931ae51dc34bc91f8a8043f62fd972a40ee39bb04db7b8986d7b24870294188099c3c6fecc00a0b6658bc6e11d6f67686be0d1a32c89a2b7b6779a5f9e8 SHA512 dd66a09f38dc9da85cfe4a1d6601ba3b585637d1a2328b66f783d09645f56ce2fb3704b9d2a13cbff9168a2a70f5be23118e5f392f1dfecb22e156756aa553eb
+EBUILD fava-1.26.1.ebuild 1336 BLAKE2B 09e4bc60056b7062adfa98d50e2db1202d0e5db98e624629f1b5946eb73bde34527cf02424aaf973a3a3765cd2dfb97bcfb578e80a03505cb4edf1cb63018f22 SHA512 9968f1c9934514e7485b5ee3255b2e382e2ce387f1f5ad47e45fd254fa0f5f0a52a06ed832d05d2f1df86969325b840304ac6f53e61e7d9b27d13113d09e9908
 MISC metadata.xml 286 BLAKE2B bc035a2169b566efc5e5c22443c65abbb0fe1b2df60af417536dac4ffd66495376635e960b67ad0da91c651569928b4ec21adfea4b06d922b0fe4cfc96479a7f SHA512 2ce5388147b734a1d9a25edba004888151871b636478394de151eebfd7121d89eb048ec604cbbff23a84d4905119f05537a378940f52f45f47155e3a25842c26
diff --git a/app-office/fava/fava-1.26.1.ebuild b/app-office/fava/fava-1.26.1.ebuild
new file mode 100644
index 0000000..6ca84a1
--- /dev/null
+++ b/app-office/fava/fava-1.26.1.ebuild
@@ -0,0 +1,44 @@
+# Copyright 2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+PYTHON_COMPAT=( python3_{10,11} )
+DISTUTILS_USE_PEP517=setuptools
+DISTUTILS_SINGLE_IMPL=1
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Web interface for the accounting tool Beancount"
+HOMEPAGE="https://beancount.github.io/fava/ https://pypi.org/project/fava/"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+	>=app-office/beancount-2.3.5[${PYTHON_SINGLE_USEDEP}]
+	$(python_gen_cond_dep '
+		>=dev-python/Babel-2.7.0[${PYTHON_USEDEP}]
+		>=dev-python/cheroot-8.5.2[${PYTHON_USEDEP}]
+		>=dev-python/flask-babel-1.0.0[${PYTHON_USEDEP}]
+		>=dev-python/flask-2.2.0[${PYTHON_USEDEP}]
+		>=dev-python/jinja-3.0.1[${PYTHON_USEDEP}]
+		>=dev-python/click-8.0.1[${PYTHON_USEDEP}]
+		>=dev-python/markdown2-2.3.0[${PYTHON_USEDEP}]
+		dev-python/ply[${PYTHON_USEDEP}]
+		>=dev-python/simplejson-3.16.0[${PYTHON_USEDEP}]
+		>=dev-python/werkzeug-2.3.0[${PYTHON_USEDEP}]
+		dev-python/chardet[${PYTHON_USEDEP}]
+		')
+	"
+
+python_test() {
+	# test_static_url presumes and requires the existence of these two files.
+	# They need only to exist in order for the code to determine the mtime
+	# value.
+	mkdir -p fava/static/{javascript,css} || die
+	touch fava/static/javascript/main.ts || die
+	touch fava/static/css/style.css || die
+
+	py.test -v || die
+}
diff --git a/app-office/fava/fava-1.26.ebuild b/app-office/fava/fava-1.26.ebuild
deleted file mode 100644
index 6ca84a1..0000000
--- a/app-office/fava/fava-1.26.ebuild
+++ /dev/null
@@ -1,44 +0,0 @@
-# Copyright 2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-PYTHON_COMPAT=( python3_{10,11} )
-DISTUTILS_USE_PEP517=setuptools
-DISTUTILS_SINGLE_IMPL=1
-
-inherit distutils-r1 pypi
-
-DESCRIPTION="Web interface for the accounting tool Beancount"
-HOMEPAGE="https://beancount.github.io/fava/ https://pypi.org/project/fava/"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-
-RDEPEND="
-	>=app-office/beancount-2.3.5[${PYTHON_SINGLE_USEDEP}]
-	$(python_gen_cond_dep '
-		>=dev-python/Babel-2.7.0[${PYTHON_USEDEP}]
-		>=dev-python/cheroot-8.5.2[${PYTHON_USEDEP}]
-		>=dev-python/flask-babel-1.0.0[${PYTHON_USEDEP}]
-		>=dev-python/flask-2.2.0[${PYTHON_USEDEP}]
-		>=dev-python/jinja-3.0.1[${PYTHON_USEDEP}]
-		>=dev-python/click-8.0.1[${PYTHON_USEDEP}]
-		>=dev-python/markdown2-2.3.0[${PYTHON_USEDEP}]
-		dev-python/ply[${PYTHON_USEDEP}]
-		>=dev-python/simplejson-3.16.0[${PYTHON_USEDEP}]
-		>=dev-python/werkzeug-2.3.0[${PYTHON_USEDEP}]
-		dev-python/chardet[${PYTHON_USEDEP}]
-		')
-	"
-
-python_test() {
-	# test_static_url presumes and requires the existence of these two files.
-	# They need only to exist in order for the code to determine the mtime
-	# value.
-	mkdir -p fava/static/{javascript,css} || die
-	touch fava/static/javascript/main.ts || die
-	touch fava/static/css/style.css || die
-
-	py.test -v || die
-}
-- 
cgit v1.2.3-2-gb3c3